Loading...
Searching...
No Matches
Halide::Runtime::Internal::SystemMemoryAllocatorFns Struct Reference

`#include <memory_resources.h>`

## Public Attributes

AllocateSystemFn | allocate = nullptr
DeallocateSystemFn | deallocate = nullptr

## Detailed Description

Definition at line 193 of file memory_resources.h.

## Member Data Documentation

## allocate

AllocateSystemFn Halide::Runtime::Internal::SystemMemoryAllocatorFns::allocate = nullptr

Definition at line 194 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::MemoryArena::create(), Halide::Runtime::Internal::StringStorage::create(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop().

## deallocate

DeallocateSystemFn Halide::Runtime::Internal::SystemMemoryAllocatorFns::deallocate = nullptr

Definition at line 195 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::MemoryArena::destroy(), Halide::Runtime::Internal::StringStorage::destroy(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::destroy(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::destroy_crop().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h